## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1

%global crate snpguest

Name:           rust-snpguest
Version:        0.9.1
Release:        %autorelease
Summary:        AMD SEV-SNP guest utility tool

License:        Apache-2.0
URL:            https://crates.io/crates/snpguest
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * Drop vendored feature from openssl dependency
Patch:          snpguest-fix-metadata.diff

# SEV is an AMD x86_64 CPU feature so doesn't make sense to
# try to build on other arches
ExclusiveArch:  x86_64

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Navigation utility for AMD SEV-SNP guest environment.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}

# (Apache-2.0 OR MIT) AND BSD-3-Clause
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# Apache-2.0
# Apache-2.0 AND ISC AND (MIT OR Apache-2.0)
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR ISC OR MIT
# Apache-2.0 OR MIT
# BSD-2-Clause OR Apache-2.0 OR MIT
# ISC
# MIT
# MIT OR Apache-2.0
# MPL-2.0
# Unicode-3.0
# Unlicense OR MIT
License:        ((Apache-2.0 OR MIT) AND BSD-3-Clause) AND ((MIT OR Apache-2.0) AND Unicode-DFS-2016) AND Apache-2.0 AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR ISC OR MIT) AND (Apache-2.0 OR MIT) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND ISC AND MIT AND MPL-2.0 AND Unicode-3.0 AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%{_bindir}/snpguest

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Wed Jun 25 2025 Yaakov Selkowitz <yselkowi@redhat.com> - 0.9.1-1
- Update to 0.9.1

* Sun Feb 09 2025 Fabio Valentini <decathorpe@gmail.com> - 0.8.2-2
- Minor spec file and packaging fixes

* Tue Feb 04 2025 Tyler Fanelli <tfanelli@redhat.com> - 0.8.2-1
- Initial import (fedora#2338952)
## END: Generated by rpmautospec
